﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RDESD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_KJJKC_ASSET') 
 CREATE TABLE T_RDESD_KJJKC_ASSET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTORG BIGINT DEFAULT 0 NOT NULL,
FTAXCORG BIGINT DEFAULT 0 NOT NULL,
FASSETCODE BIGINT DEFAULT 0 NOT NULL,
FACCOUNTINGPERIOD DATETIME,
FKJJKCCOST DECIMAL(23,10) DEFAULT 0
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_KJJKC_ASSET_ENTRY') 
 CREATE TABLE T_RDESD_KJJKC_ASSET_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSBXMDETAIL BIGINT DEFAULT 0 NOT NULL,
FINTANGIBLEASSETS DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_KJJKC_ASSET_L') 
 CREATE TABLE T_RDESD_KJJKC_ASSET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_KJJKC_TAXCTX') 
 CREATE TABLE T_RDESD_KJJKC_TAXCTX (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORG BIGINT DEFAULT 0 NOT NULL,
FORGFIELD BIGINT DEFAULT 0 NOT NULL,
FACCOUNTINGPERIOD DATETIME,
FAMOUNTFIELD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECIMALFIELD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXCURRENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXCURRENTKJJAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXYEARAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXYEARKJJAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXCUMULATIVEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXCUMULATIVEKJJAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSETCODE VARCHAR(200) DEFAULT ' ' NOT NULL,
FASSETNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCALCTAXBASE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RDESD_SBXM_ASSET') 
 CREATE TABLE T_RDESD_SBXM_ASSET (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\RDESD_table.sql **/
